Bug 170019 - Symbolic links of executables point to a wrong location
Symbolic links of executables point to a wrong location
Product: Fedora
Classification: Fedora
Component: plt-scheme (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-10-06 12:01 EDT by Marco Monteiro
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-15 11:51:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marco Monteiro 2005-10-06 12:01:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The symbolic links created in /usr/bin (e.g. mzscheme, drscheme, etc.) point to files in the /usr/lib/plt/bin directory and they should point to files in /usr/lib64/plt/bin directory; that is where they are in the x86_64 architecture.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Just install the rpm and try to execute /usr/bin/drscheme. It will not work because the symbolic link points to a file that does not exist.

Additional info:
Comment 1 Gérard Milmeister 2005-10-06 14:47:07 EDT
Unfortunately build for x86_64 fails currently. You may look at the build log:


You may try to build it for yourself and see what is the problem. I have
no access to x86_64.
Comment 2 Gérard Milmeister 2005-10-15 11:51:47 EDT
The new build should be ok now.

Note You need to log in before you can comment on or make changes to this bug.